; Select an interest rate depending on the principle amount

(define (interest-rate p)
  (cond
    ((< p 1000) 0.04)
    ((< p 5000) 0.045)
    (else 0.05)))

(define base 0.04)

(define (based-rate p)
  (cond
    ((< p 1000) (+ base 0.0))
    ((< p 5000) (+ base 0.005))
    (else (+ base 0.01))))
